Package ru.bitel.bgbilling.modules.card.server.bean

# Class DealerManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.card.server.bean.DealerManager

public class DealerManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DealerManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Dealer`
  `getDealer(String login, String pswd)`
  Авторизация дилера
  `List<Dealer>`
  `getDealerList(String title, Period period, int type)`
  `List<Dealer>`
  `getDealersByContractId(int contractId, int type)`
  `void`
  `incDealerError(int id)`
  `void`
  `incDealerFinded(int id)`
  Deprecated.
  `void`
  `incDealerFinded(int id, int count)`
  `void`
  `incDealerPayed(int id)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DealerManager

    public DealerManager(Connection con, int moduleId)

- ## Method Details

  - ### getDealer

    public Dealer getDealer(String login, String pswd) throws SQLException, ru.bitel.bgbilling.modules.card.server.idealer.DealerFindException
    Авторизация дилера
    Parameters:
      `login` -
      `pswd` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`
      `ru.bitel.bgbilling.modules.card.server.idealer.DealerFindException`

  - ### getDealersByContractId

    public List<Dealer> getDealersByContractId(int contractId, int type) throws SQLException
    Throws:
      `SQLException`

  - ### getDealerList

    public List<Dealer> getDealerList(String title, Period period, int type) throws SQLException
    Throws:
      `SQLException`

  - ### incDealerError

    public void incDealerError(int id) throws SQLException
    Throws:
      `SQLException`

  - ### incDealerFinded

    @Deprecated public void incDealerFinded(int id) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### incDealerFinded

    public void incDealerFinded(int id, int count) throws SQLException
    Throws:
      `SQLException`

  - ### incDealerPayed

    public void incDealerPayed(int id) throws SQLException
    Throws:
      `SQLException`